import {Component} from '@angular/core';

@Component({
  selector: 'app-svg-edit',
  template: `
    <svg class="h-4 w-4 fill-current mx-auto" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
      <path
        d="M.498 24c-.132 0-.26-.053-.354-.146-.123-.124-.173-.298-.133-.468l1.517-6.465c.021-.091.067-.173.133-.239l.239-.239c.008-.01.017-.019.027-.027L15.473 2.869c.005-.005.01-.011.014-.016.005-.005.01-.009.015-.014L17.609.732C18.081.26 18.708 0 19.376 0c.668 0 1.296.26 1.768.732l2.123 2.121c.472.471.731 1.099.732 1.768 0 .668-.26 1.296-.731 1.768-.004.005-.681.681-.681.681-.007.01-.015.019-.021.026-.01.01-.022.02-.035.03L21.16 8.497c-.008.011-.017.021-.025.03-.009.009-.021.019-.034.028L7.587 22.067c-.007.009-.015.018-.024.025-.004.004-.009.008-.014.012l-.232.232c-.066.066-.148.112-.239.133L.611 23.986c-.036.01-.075.014-.113.014zm.671-1.171l5.213-1.223-3.99-3.99-1.223 5.213zm6.046-1.804L20.073 8.169 15.84 3.916 2.974 16.783l4.241 4.242zM20.78 7.462l.719-.719L17.256 2.5l-.708.708 4.232 4.254zm1.426-1.426l.354-.353c.585-.589.583-1.539 0-2.122L20.438 1.44c-.004-.004-.018-.019-.022-.024-.278-.267-.643-.416-1.039-.416-.401 0-.777.156-1.061.44l-.354.354 4.244 4.242z"/>
    </svg>
  `,
})
export class EditComponent {

}
